<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:id="@+id/content"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/search_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface"
            android:focusableInTouchMode="true">

            <View
                android:id="@+id/search_background"
                android:layout_width="0dp"
                android:layout_height="32dp"
                android:layout_marginLeft="16dp"
                android:layout_marginTop="8dp"
                android:layout_marginBottom="8dp"
                android:background="@drawable/bg_shape_f5_radius_999"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/search_button"
                app:layout_constraintTop_toTopOf="parent" />

            <EditText
                android:id="@+id/search_input"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:background="@null"
                android:hint="请输入关键词搜索"
                android:imeOptions="actionSearch"
                android:paddingLeft="34dp"
                android:paddingRight="40dp"
                android:singleLine="true"
                android:textColor="@color/text_primary"
                android:textColorHint="@color/text_instance"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="@id/search_background"
                app:layout_constraintLeft_toLeftOf="@id/search_background"
                app:layout_constraintRight_toRightOf="@id/search_background"
                app:layout_constraintTop_toTopOf="@id/search_background" />

            <ImageView
                android:layout_width="14dp"
                android:layout_height="14dp"
                android:layout_centerVertical="true"
                android:layout_marginLeft="12dp"
                app:layout_constraintBottom_toBottomOf="@id/search_background"
                app:layout_constraintLeft_toLeftOf="@id/search_background"
                app:layout_constraintTop_toTopOf="@id/search_background"
                app:srcCompat="@drawable/toolbar_search_icon" />


            <ImageView
                android:id="@+id/delete_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:layout_marginRight="10dp"
                android:padding="4dp"
                android:src="@drawable/help_search_delete"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="@id/search_background"
                app:layout_constraintRight_toRightOf="@id/search_background"
                app:layout_constraintTop_toTopOf="@id/search_background" />

            <TextView
                android:id="@+id/search_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_marginRight="16dp"
                android:text="搜索"
                android:textColor="@color/text_theme"
                android:textSize="14sp"
                app:layout_constraintBottom_toBottomOf="@id/search_background"
                app:layout_constraintLeft_toRightOf="@id/search_background"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/search_background" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <FrameLayout
            android:id="@+id/content_container"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/ui_surface" />
    </LinearLayout>

    <include
        android:id="@+id/include_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/include_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

</FrameLayout>
